Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkus Knauer2009-05-27 12:49:37 -0400
committerMarkus Knauer2009-05-27 12:49:37 -0400
commit074c234a3a2d704094e87ccf2c1d89799e8b66f8 (patch)
tree1e1a3f37c9b8b1fb0ff166b4ded1f5416f8d5cda /releng/org.eclipse.epp.config/startEPP35.sh
parentd1de75f530b438ad8026bd2052d5e8844d86de4f (diff)
downloadorg.eclipse.epp.packages-074c234a3a2d704094e87ccf2c1d89799e8b66f8.tar.gz
org.eclipse.epp.packages-074c234a3a2d704094e87ccf2c1d89799e8b66f8.tar.xz
org.eclipse.epp.packages-074c234a3a2d704094e87ccf2c1d89799e8b66f8.zip
removed shell-lock mechanism, using Hudson lock instead
Diffstat (limited to 'releng/org.eclipse.epp.config/startEPP35.sh')
-rw-r--r--releng/org.eclipse.epp.config/startEPP35.sh16
1 files changed, 9 insertions, 7 deletions
diff --git a/releng/org.eclipse.epp.config/startEPP35.sh b/releng/org.eclipse.epp.config/startEPP35.sh
index 128e1c25..4cc42f39 100644
--- a/releng/org.eclipse.epp.config/startEPP35.sh
+++ b/releng/org.eclipse.epp.config/startEPP35.sh
@@ -57,12 +57,13 @@ RELEASE_NAME="-galileo-RC2"
###############################################################################
# only one build process allowed
-if [ -e ${LOCKFILE} ]; then
- echo "${START_TIME} EPP build - lockfile ${LOCKFILE} exists" >/dev/stderr
- exit 1
-fi
-trap "rm -f ${LOCKFILE}; exit" INT TERM EXIT
-touch ${LOCKFILE}
+## using the Hudson EPP lock, but leave the code in there for now
+#if [ -e ${LOCKFILE} ]; then
+# echo "${START_TIME} EPP build - lockfile ${LOCKFILE} exists" >/dev/stderr
+# exit 1
+#fi
+#trap "rm -f ${LOCKFILE}; exit" INT TERM EXIT
+#touch ${LOCKFILE}
# create download directory and files
DOWNLOAD_DIR=${DOWNLOAD_BASE_DIR}/${START_TIME}
@@ -177,6 +178,7 @@ cp -a ${DOWNLOAD_BASE_DIR}/${STATUSFILENAME} /home/data/httpd/download.eclipse.o
###############################################################################
# remove lockfile
-rm ${LOCKFILE}
+## using the Hudson EPP lock, but leave the code in there for now
+#rm ${LOCKFILE}
## EOF \ No newline at end of file

Back to the top